Loading...
Searching...
No Matches
svn_client_commit_item2_t Struct Reference
Client supporting subsystem » Client commit subsystem

The commit candidate structure. More...

`#include <svn_client.h>`

## Data Fields

const char * | path
| absolute working-copy path of item
svn_node_kind_t | kind
| node kind (dir, file)
const char * | url
| commit URL for this item
svn_revnum_t | revision
| revision of textbase
const char * | copyfrom_url
| copyfrom-url or NULL if not a copied item
svn_revnum_t | copyfrom_rev
| copyfrom-rev, valid when copyfrom_url != NULL
apr_byte_t | state_flags
| state flags
apr_array_header_t * | wcprop_changes
| Analogous to the svn_client_commit_item3_t.incoming_prop_changes field.

## Detailed Description

The commit candidate structure.

Deprecated
  Provided for backward compatibility with the 1.4 API.

Definition at line 543 of file svn_client.h.

## Field Documentation

## copyfrom_rev

svn_revnum_t svn_client_commit_item2_t::copyfrom_rev

copyfrom-rev, valid when copyfrom_url != NULL

Definition at line 561 of file svn_client.h.

## copyfrom_url

const char* svn_client_commit_item2_t::copyfrom_url

copyfrom-url or NULL if not a copied item

Definition at line 558 of file svn_client.h.

## kind

svn_node_kind_t svn_client_commit_item2_t::kind

node kind (dir, file)

Definition at line 549 of file svn_client.h.

## path

const char* svn_client_commit_item2_t::path

absolute working-copy path of item

Definition at line 546 of file svn_client.h.

## revision

svn_revnum_t svn_client_commit_item2_t::revision

revision of textbase

Definition at line 555 of file svn_client.h.

## state_flags

apr_byte_t svn_client_commit_item2_t::state_flags

state flags

Definition at line 564 of file svn_client.h.

## url

const char* svn_client_commit_item2_t::url

commit URL for this item

Definition at line 552 of file svn_client.h.

## wcprop_changes

apr_array_header_t* svn_client_commit_item2_t::wcprop_changes

Analogous to the svn_client_commit_item3_t.incoming_prop_changes field.

Definition at line 569 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h